import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;

public class PackJTableComponent{
	JTable table;
	public static void main(String[] args) {
		new PackJTableComponent();
	}

	public PackJTableComponent(){
		JFrame frame = new JFrame("Packing a JTable Component!");
		JPanel panel = new JPanel();
		String data[][] = {{"Vinod","Computer","3"},{"Rahul","History","2"},{"Manoj","Biology","4"},{"Sanjay","PSD","5"}};
		String col [] = {"Name","Course","Year"};
		DefaultTableModel model = new DefaultTableModel(data,col);
		table = new JTable(model){
			public Dimension getPreferredScrollableViewportSize() {
				return getPreferredSize();
			}
		};	
		JTableHeader header = table.getTableHeader();
		header.setBackground(Color.yellow);
		JScrollPane pane = new JScrollPane(table);
		panel.add(pane);
		frame.add(panel);
		frame.setSize(300,150);
		frame.setUndecorated(true);
		frame.getRootPane().setWindowDecorationStyle(JRootPane.PLAIN_DIALOG);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
	}
}